| Flutter Impeller |

Public Member Functions | List of all members
impeller::PathComponentStartDirectionVisitor Struct Reference

`#include <path_component.h>`

## Public Member Functions
std::optional< Vector2 > | operator() (const LinearPathComponent *component)
std::optional< Vector2 > | operator() (const QuadraticPathComponent *component)
std::optional< Vector2 > | operator() (const CubicPathComponent *component)
std::optional< Vector2 > | operator() (std::monostate monostate)

## Detailed Description

Definition at line 165 of file path_component.h.

## Member Function Documentation

## ◆ operator()() [1/4]

std::optional< Vector2 > impeller::PathComponentStartDirectionVisitor::operator() | ( | const CubicPathComponent * | component | ) |

Definition at line 368 of file path_component.cc.

369 {
370 if (!component) {
371 return std::nullopt;
372 }
373 return component->GetStartDirection();
374 }

References impeller::CubicPathComponent::GetStartDirection().

## ◆ operator()() [2/4]

std::optional< Vector2 > impeller::PathComponentStartDirectionVisitor::operator() | ( | const LinearPathComponent * | component | ) |

Definition at line 352 of file path_component.cc.

353 {
354 if (!component) {
355 return std::nullopt;
356 }
357 return component->GetStartDirection();
358 }

References impeller::LinearPathComponent::GetStartDirection().

## ◆ operator()() [3/4]

std::optional< Vector2 > impeller::PathComponentStartDirectionVisitor::operator() | ( | const QuadraticPathComponent * | component | ) |

Definition at line 360 of file path_component.cc.

361 {
362 if (!component) {
363 return std::nullopt;
364 }
365 return component->GetStartDirection();
366 }

References impeller::QuadraticPathComponent::GetStartDirection().

## ◆ operator()() [4/4]

std::optional<Vector2> impeller::PathComponentStartDirectionVisitor::operator() | ( | std::monostate | monostate | ) |
| inline

Definition at line 169 of file path_component.h.

169 {
170 return std::nullopt;
171 }

The documentation for this struct was generated from the following files:

- impeller/geometry/path_component.h
- impeller/geometry/path_component.cc